<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CodingAttemptOptions](./bitburner.codingattemptoptions.md)

## CodingAttemptOptions interface

Options to affect the behavior of [CodingContract](./bitburner.codingcontract.md) attempt.

<b>Signature:</b>

```typescript
export interface CodingAttemptOptions 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [returnReward](./bitburner.codingattemptoptions.returnreward.md) | boolean | If truthy, then the function will return a string that states the contract’s reward when it is successfully solved. |

